Resultados 1 al 6 de 6

Tema: Los 10 errores más comunes de los "linuxeros"

  1. #1 Los 10 errores más comunes de los "linuxeros" 
    Moderador HH Avatar de ABODUJANA
    Fecha de ingreso
    Jun 2006
    Ubicación
    Por Tetouan
    Mensajes
    921
    Descargas
    14
    Uploads
    0
    1. Entrar como superusuario

    2. Evitar las actualizaciones

    3. Instalar aplicaciones binarias de distintos tipos

    4. Iniciar un servidor con las X

    5. Contraseñas débiles

    6. Malentendidos con los permisos de archivos

    7. No tener backups de ficheros críticos

    9. No usar la línea de comandos

    10. No actualizar el kernel

    11. No eliminar software viejo y dependencias obsoletas

    12. Configuraciones permisivas

    13. No crear partición de intercambio (Swap)

    14. No utilizar APT para gestionar los paquetes

    15. Instalar software sin saber a ciencia cierta para que sirve

    16. Instalar software sin saber si la fuente es segura

    17. Evitar el uso de la consola

    18. No Conocer los logs del sistema






    Última edición por ABODUJANA; 24-12-2008 a las 00:12 Razón: Iré actualizando el post con vuestra ayuda
    Citar  
     

  2. #2  
    Moderador HH
    Fecha de ingreso
    Dec 2001
    Ubicación
    Galiza
    Mensajes
    3.129
    Descargas
    0
    Uploads
    0
    Estaría bien, para complementar... que pusiesemos los que nosotros mismos cometemos y algunos más, con lo que podríamos llegar a un momento en el que este post se convertiría en 'MANUAL DEL BUEN USO DE LINUX, UN SISTEMA SEGURO':

    Me identifico con:
    6. Malentendidos con los permisos de archivos: Soy mas vago que la chaqueda de un guardia y uso más de lo necesario 'sudo chmod 777 -R carpeta/' aunque sólo sea en mi ordenador personal, en mis servers siempre tengo ojo.

    Personalmente añadiría:
    11. No eliminar software viejo y dependencias obsoletas: Son archivos que estan ocupando espacio y muchas veces las instalamos porque no sabemos bien lo que hacen y 'por si acaso las necesito'. Son fácilmente eliminables desde synaptic en la sección de 'paquetes y dependencias viejos y obsoletos'.

    12. Configuraciones permisivas: Quizá venga a complementar los permisos del punto 6 pero muchas veces tenemos problemas con un programa o servicio y para no rompernos un poquito la cabeza 'abrimos demasiado la mano' creando fallas de seguridad innecesarias.
    Las ideas son como las pulgas, saltan de unos a otros pero no pican a todos... (George Bernard Shaw)
    Citar  
     

  3. #3  
    Moderador HH
    Fecha de ingreso
    Sep 2002
    Ubicación
    Entre C# y PHP
    Mensajes
    1.813
    Descargas
    3
    Uploads
    0
    Yo añado uno más:

    No crear partición de intercambio (Swap)
    Pensar que por tener 4 Gb de RAM y un procesador mega potente no es necesario crear una partición SWAP para la paginación es un error.

    ¡Seguro que llegará el día en el que no será suficiente!

    Salu2
    Quien no sabe lo que busca no entiende lo que encuentra.
    Usa Firefox, Redescubre la web
    Citar  
     

  4. #4  
    Colaborador HH
    Fecha de ingreso
    Jun 2006
    Ubicación
    Uruguay
    Mensajes
    1.450
    Descargas
    11
    Uploads
    0
    otro error muy común que a mi me paso, era bajarme codigo fuente de softonic buscando algun programa y romperme la cabeza buscando dependecias y demás, cuando tenia el maravilloso apt
    Louis Armstrong le dice a Ella Fitzgerald
    "take another drink of wine, and maybe you change your mind"
    Citar  
     

  5. #5  
    Moderador HH
    Fecha de ingreso
    Feb 2002
    Ubicación
    México
    Mensajes
    1.155
    Descargas
    4
    Uploads
    0
    15. Instalar software sin saber a ciencia cierta para que sirve o si es de una fuente segura

    Muchas veces pueden tener vulnerabilidades o fallos sin que lo sepamos.
    Mientras el mundo permanezca no acabarán la fama y la gloria de México-Tenochtitlan
    Citar  
     

  6. #6  
    Moderador Global
    Fecha de ingreso
    Aug 2005
    Mensajes
    6.279
    Descargas
    7
    Uploads
    0
    Hola a todos!

    Hace tiempo que no entro, y es que estoy bastante liado.

    Llevo ya mucho rato leyéndoos y me alegra ver cómo discurre todo por aquí.

    En fin, al lío:

    Yo de esa lista, creo que no incurro en ninguno de esos errores comunes, pero sí en otro que no aparece explícitamente, aúnque podría ser una derivación del error 2.

    Muchas veces instalamos software desde el código fuente, y no lo vamos actualizando tan frecuentemente como debiéramos. Supongamos que tenermos instaladas varias librerías y otras tantas aplicaciones, todo desde las fuentes ... Pues no creo yo que haya nadie que visite cada día (ni siquiera cada semana) cada uno de los sitios webs de los proyectos para ir comprobando las listas de actualizaciones y curarse en salud ante una posible brecha de seguridad.

    Quizá en un futuro se desarrolle algún tipo de gestor de actualizaciones para software independiente, en el que, mediante formatos abiertos estándares (xml y similares), se pueda informar al usuario sobre aspectos como:
    • modificaciones producidas
    • nivel de prioridad de las mismasl
    • ocalización de las fuentes oficiales
    • etc


    Y es que, mi gran fallo es que, si instalo alguna aplicación o módulo desde las fuentes, sólo lo actualizo cuando hay algún cambio verdaderamente importante:
    • adquiero una nueva tarjeta que requiere la última versión del módulo
    • se produce un cambio en el protocolo de la aplicación que impide el funcionamiento normal de la versión antigua
    • etc


    Salu2


    Keep on Rollin'

    . . . . . . . . . . . . . . . . . . . .
    [[ NORMAS DEL FORO ]]
    . . . . . . . . . . . . . . . . . . . .
    __________
    Citar  
     

Temas similares

  1. Respuestas: 0
    Último mensaje: 16-01-2015, 04:20
  2. Respuestas: 5
    Último mensaje: 31-03-2010, 06:03
  3. Respuestas: 7
    Último mensaje: 25-03-2005, 06:24
  4. "Mimail", gusano de propagación masiva llega como "message.zip"
    Por aerial25 en el foro VULNERABILIDADES
    Respuestas: 1
    Último mensaje: 07-08-2003, 20:18
  5. Iparty 5.0: La Reunión De Los "linuxeros"
    Por Sn@ke en el foro NOTICIAS
    Respuestas: 1
    Último mensaje: 20-03-2003, 13:15

Marcadores

Marcadores

Permisos de publicación

  • No puedes crear nuevos temas
  • No puedes responder temas
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •